- entityDefinitions:
  - IDM_Method__is__CN: '{c73aebba-7dda-4fdd-963a-0bb746b7ec7c}'
  - IDMB_Method__is__CN: '{6e60e6f2-46a3-4e3b-952d-df6be11d3102}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - evaluateBooleanExpressionMethod: '&IDM_Method__is__CN;'
    forClassId: '&IDC_Method;'
    verb: 'is'
    name: 'CN'
    accessModifierId: '&IDI_AccessModifier_RootA2;'
    returnsAttributeId: '&IDA_MethodIsOfTypeSpecified;'
    source: '&IDMB_Method__get__Parent_Class;'
    operator: '&IDI_RelationalOperator_ExactMatch;'
    target: '&IDC_CalculateNumericMethod;'
    
  - returnAttributeMethodBinding: '&IDMB_Method__is__CN;'
    executesMethod: '&IDM_Method__is__CN;'
